changeset 1768:ce59f2644c41

<Jafet> echo -e \'#!/bin/sh\\ntopic=$(echo "$1" | tr A-Z a-z | sed "s/ *$//")\\n([ \\( "$topic" = "ngevd" \\) -a \\( -e wisdom/ngevd \\) ] && cat /dev/urandom && exit 0; ) || [ -e "wisdom/$topic" ] || { echo "$1? \xc2\xaf\\(\xc2\xb0_o)/\xc2\xaf"; exit 1; }\\ncat "wisdom/$topic"\' > bin/q
author HackBot
date Fri, 25 Jan 2013 13:21:05 +0000
parents ba6fc97db7cc
children 1a2de533c210
files bin/q
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/q	Fri Jan 25 13:19:16 2013 +0000
+++ b/bin/q	Fri Jan 25 13:21:05 2013 +0000
@@ -1,4 +1,4 @@
 #!/bin/sh
 topic=$(echo "$1" | tr A-Z a-z | sed "s/ *$//")
-([ "$topic" = "ngevd" -a -e wisdom/ngevd ] && cat /dev/urandom; exit 0; ) || [ -e "wisdom/$topic" ] || { echo "$1? ¯\(°_o)/¯"; exit 1; }
+([ \( "$topic" = "ngevd" \) -a \( -e wisdom/ngevd \) ] && cat /dev/urandom && exit 0; ) || [ -e "wisdom/$topic" ] || { echo "$1? ¯\(°_o)/¯"; exit 1; }
 cat "wisdom/$topic"